diff -ru fltk-1.3.2.orig/CMakeLists.txt fltk-1.3.2/CMakeLists.txt
--- fltk-1.3.2.orig/CMakeLists.txt	2014-01-04 16:38:09.731735000 +0100
+++ fltk-1.3.2/CMakeLists.txt	2014-01-04 16:39:02.029794000 +0100
@@ -153,10 +153,31 @@
 mark_as_advanced(LIB_jpeg LIB_png LIB_zlib)
 
 #######################################################################
+if(LIB_fontconfig)
+   list(APPEND FLTK_LDLIBS -lfontconfig)
+endif(LIB_fontconfig)
+
+if(LIB_png)
+   list(APPEND IMAGELIBS -lpng)
+endif(LIB_png)
+
+if(LIB_zlib)
+   list(APPEND IMAGELIBS -lz)
+endif(LIB_zlib)
+
+if(LIB_jpeg)
+   list(APPEND IMAGELIBS -ljpeg)
+endif(LIB_jpeg)
+
+string(REPLACE ";" " " IMAGELIBS "${IMAGELIBS}")
+set(STATICIMAGELIBS "${IMAGELIBS}")
+
+#######################################################################
 # functions
 include(CheckFunctionExists)
 
 if(HAVE_DLFCN_H)
+   list(APPEND FLTK_LDLIBS -ldl)
    set(CMAKE_REQUIRED_LIBRARIES dl)
    set(HAVE_DLFCN_H 1)
 endif(HAVE_DLFCN_H)
@@ -169,6 +190,7 @@
 endif(LIB_png)
 CHECK_FUNCTION_EXISTS(png_get_valid          HAVE_PNG_GET_VALID)
 CHECK_FUNCTION_EXISTS(png_set_tRNS_to_alpha  HAVE_PNG_SET_TRNS_TO_ALPHA)
+set(CMAKE_REQUIRED_LIBRARIES)
 
 CHECK_FUNCTION_EXISTS(scandir                HAVE_SCANDIR)
 CHECK_FUNCTION_EXISTS(snprintf               HAVE_SNPRINTF)
@@ -428,9 +450,9 @@
 #######################################################################
 option(OPTION_USE_SYSTEM_LIBJPEG "Use's system libjpeg" ON)
 
-if(OPTION_USE_SYSTEM_LIBJPEG AND LIB_jpeg)
+if(OPTION_USE_SYSTEM_LIBJPEG)
    include(FindJPEG)
-endif(OPTION_USE_SYSTEM_LIBJPEG AND LIB_jpeg)
+endif(OPTION_USE_SYSTEM_LIBJPEG)
 
 if(OPTION_USE_SYSTEM_LIBJPEG AND JPEG_FOUND)
    set(FLTK_JPEG_LIBRARIES ${JPEG_LIBRARIES})
@@ -452,9 +474,9 @@
 #######################################################################
 option(OPTION_USE_SYSTEM_ZLIB "Use's system zlib" ON)
 
-if(OPTION_USE_SYSTEM_ZLIB AND LIB_zlib)
+if(OPTION_USE_SYSTEM_ZLIB)
    include(FindZLIB)
-endif(OPTION_USE_SYSTEM_ZLIB AND LIB_zlib)
+endif(OPTION_USE_SYSTEM_ZLIB)
 
 if(OPTION_USE_SYSTEM_ZLIB AND ZLIB_FOUND)
    set(FLTK_ZLIB_LIBRARIES ${ZLIB_LIBRARIES})
@@ -477,9 +499,9 @@
 #######################################################################
 option(OPTION_USE_SYSTEM_LIBPNG "Use's system libpng" ON)
 
-if(OPTION_USE_SYSTEM_LIBPNG AND LIB_png)
+if(OPTION_USE_SYSTEM_LIBPNG)
    include(FindPNG)
-endif(OPTION_USE_SYSTEM_LIBPNG AND LIB_png)
+endif(OPTION_USE_SYSTEM_LIBPNG)
 
 if(OPTION_USE_SYSTEM_LIBPNG AND PNG_FOUND)
    set(FLTK_PNG_LIBRARIES ${PNG_LIBRARIES})
